#!/usr/bin/python3

from setuptools import setup, find_packages

tests_require = ["pytest"]
linters_require = ["black>=20.8b1", "pylint", "flake8"]

setup(
    name="buildinginitializer",
    description="This package generates the building data based on OpenStreetMap",
    license="AGPLv3+",
    extras_require={
        "tests": tests_require,
        "linters": linters_require,
    },
    install_requires=[
        "packaging",
        "pyyaml",
        "databaselib>=1.1.0",
        "rulelib@https://git.gfz-potsdam.de/globaldynamicexposure/libraries/rule-lib/-/archive/main/rule-lib-main.zip",  # noqa: E501
    ],
    packages=find_packages(),
    entry_points={
        "console_scripts": [
            "buildinginitializer = buildinginitializer.main:command_line_interface"
        ]
    },
    python_requires=">=3.6",
)
